.main_bxz {
    position: relative;
    width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    -ms-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-transform-style: preserve-3d;
    perspective: 1000px;
    -webkit-perspective: 1000px;
    backface-visibility: hidden;
}

.flip_bx1{
  top: 0;
  left: 0;
  width: 100%;
  height:100%;
  -ms-transform: rotateY(0deg);
  -webkit-transform: rotateY(0deg);
  transform: rotateY(0deg);
  -webkit-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  animation : box1Rotate 5s infinite;
  backface-visibility: hidden;
}

@keyframes box1Rotate{
  0%{
  transform: perspective(600px) rotateY(-180deg);
  }
  50%{
  transform: perspective(600px) rotateY(0deg);
  }
  100%{
  transform: perspective(600px) rotateY(180deg);
  }
}


.flip_bx2{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height:100%;
  
  -ms-transform: rotateY(180deg);
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
  -webkit-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  animation : box2Rotate 5s infinite;
  backface-visibility: hidden;
}

@keyframes box2Rotate{
  0%{
  transform: perspective(600px) rotateY(0deg);
  }
  50%{
  transform: perspective(600px) rotateY(180deg);
  }
  100%{
  transform: perspective(600px) rotateY(360deg);
  }
}
.main_bxz:hover .flip_bx1{
  transform: perspective(600px) rotateY(-180deg);
}

.main_bxz:hover .flip_bx2{
  transform: perspective(600px) rotateY(0deg);
}

.main_bxz .inner {
    background: linear-gradient(#bbbdba, #d7d9d6, #bbbdba);
    position: absolute;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-perspective: inherit;
    perspective: inherit;
    top: 0;
    border-radius: 50%;
    text-shadow: 2px 2px 10px black;
}

.my_box {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 35px;
    font-family: arial;
    font-weight: 900;
}
.ind_anim {
    position: absolute;
    right: 20px;
    bottom: 30px;
    z-index: 999;
}